Index: tests/regression/Atoms/Add/testsuite-atoms-add.at
===================================================================
--- tests/regression/Atoms/Add/testsuite-atoms-add.at	(revision 23b0c2555391ed336a0a7589e88eb386466789ce)
+++ tests/regression/Atoms/Add/testsuite-atoms-add.at	(revision caeeb80840441e26c65bc21cf81c49717188c5b4)
@@ -4,20 +4,20 @@
 AT_KEYWORDS([atoms])
 AT_CHECK([../../molecuilder -i test.conf -o mpqc pcp xyz tremolo pdb -a 1 --domain-position "10., 10., 10."], 0, [ignore], [ignore])
-AT_CHECK([file=test.conf; diff -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/$file], 0, [ignore], [ignore])
-AT_CHECK([file=test.data; diff -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/$file], 0, [ignore], [ignore])
-AT_CHECK([file=test.in; diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/$file], 0, [ignore], [ignore])
-AT_CHECK([file=test.pdb; diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/$file], 0, [ignore], [ignore])
-AT_CHECK([file=test.xyz; diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test.conf; diff -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/test.conf], 0, [ignore], [ignore])
+AT_CHECK([file=test.data; diff -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/test.data], 0, [ignore], [ignore])
+AT_CHECK([file=test.in; diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/test.in], 0, [ignore], [ignore])
+AT_CHECK([file=test.pdb; diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/test.pdb], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz; diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/test.xyz], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i empty.conf -o pcp -a 1 --domain-position "10., 10., 10." --undo], 0, [ignore], [ignore])
-AT_CHECK([file=empty.conf; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=empty.conf; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/empty.conf], 0, [ignore], [ignore])
 AT_CLEANUP
 AT_SETUP([Atoms - adding atom with Undo/Redo])
 AT_KEYWORDS([atoms])
 AT_CHECK([../../molecuilder -i test.conf -o mpqc pcp xyz tremolo pdb -a 1 --domain-position "10., 10., 10." --undo --redo], 0, [ignore], [ignore])
-AT_CHECK([file=test.conf; diff -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/$file], 0, [ignore], [ignore])
-AT_CHECK([file=test.data; diff -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/$file], 0, [ignore], [ignore])
-AT_CHECK([file=test.in; diff -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/$file], 0, [ignore], [ignore])
-AT_CHECK([file=test.pdb; diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/$file], 0, [ignore], [ignore])
-AT_CHECK([file=test.xyz; diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test.conf; diff -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/test.conf], 0, [ignore], [ignore])
+AT_CHECK([file=test.data; diff -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/test.data], 0, [ignore], [ignore])
+AT_CHECK([file=test.in; diff -I '#.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/test.in], 0, [ignore], [ignore])
+AT_CHECK([file=test.pdb; diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/test.pdb], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz; diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Add/post/test.xyz], 0, [ignore], [ignore])
 AT_CLEANUP
 
Index: tests/regression/Atoms/ChangeElement/post/test-undo.xyz
===================================================================
--- tests/regression/Atoms/ChangeElement/post/test-undo.xyz	(revision caeeb80840441e26c65bc21cf81c49717188c5b4)
+++ tests/regression/Atoms/ChangeElement/post/test-undo.xyz	(revision caeeb80840441e26c65bc21cf81c49717188c5b4)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder on
+H	10	10	10
Index: tests/regression/Atoms/ChangeElement/testsuite-atoms-change-element.at
===================================================================
--- tests/regression/Atoms/ChangeElement/testsuite-atoms-change-element.at	(revision 23b0c2555391ed336a0a7589e88eb386466789ce)
+++ tests/regression/Atoms/ChangeElement/testsuite-atoms-change-element.at	(revision caeeb80840441e26c65bc21cf81c49717188c5b4)
@@ -8,5 +8,5 @@
 AT_CHECK([chmod u+w $file], 0)
 AT_CHECK([../../molecuilder -i $file  --select-atom-by-id 0 -E 6 ], 0, [ignore], [ignore])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/ChangeElement/post/$file], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/ChangeElement/post/test.xyz], 0, [ignore], [ignore])
 
 file=test.xyz
@@ -14,5 +14,5 @@
 AT_CHECK([chmod u+w $file], 0)
 AT_CHECK([../../molecuilder -i $file  --select-atom-by-id 0 -E 6 --undo], 0, [ignore], [ignore])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/ChangeElement/pre/$file], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/ChangeElement/post/test-undo.xyz], 0, [ignore], [ignore])
 
 file=test.xyz
@@ -20,5 +20,5 @@
 AT_CHECK([chmod u+w $file], 0)
 AT_CHECK([../../molecuilder -i $file  --select-atom-by-id 0 -E 6 --undo --redo], 0, [ignore], [ignore])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/ChangeElement/post/$file], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/ChangeElement/post/test.xyz], 0, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/regression/Atoms/Remove/testsuite-atoms-remove.at
===================================================================
--- tests/regression/Atoms/Remove/testsuite-atoms-remove.at	(revision 23b0c2555391ed336a0a7589e88eb386466789ce)
+++ tests/regression/Atoms/Remove/testsuite-atoms-remove.at	(revision caeeb80840441e26c65bc21cf81c49717188c5b4)
@@ -8,7 +8,7 @@
 AT_CHECK([chmod u+w $file], 0)
 AT_CHECK([../../molecuilder -i $file  -o mpqc pcp xyz --select-atom-by-id 0 -r], 0, [ignore], [ignore])
-AT_CHECK([file=test.conf; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Remove/post/$file], 0, [ignore], [ignore])
-AT_CHECK([file=test.in; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Remove/post/$file], 0, [ignore], [ignore])
-AT_CHECK([file=test.xyz; diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Remove/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test.conf; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Remove/post/test.conf], 0, [ignore], [ignore])
+AT_CHECK([file=test.in; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Remove/post/test.in], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz; diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Remove/post/test.xyz], 0, [ignore], [ignore])
 
 file=test.conf
@@ -16,5 +16,5 @@
 AT_CHECK([chmod u+w $file], 0)
 AT_CHECK([../../molecuilder -i $file --select-atom-by-id 0 -r --undo], 0, [ignore], [ignore])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Remove/pre/$file], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Remove/pre/test.conf], 0, [ignore], [ignore])
 
 file=test.conf
@@ -22,5 +22,5 @@
 AT_CHECK([chmod u+w $file], 0)
 AT_CHECK([../../molecuilder -i $file --select-atom-by-id 0 -r --undo --redo], 0, [ignore], [ignore])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Remove/post/$file], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/Remove/post/test.conf], 0, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/regression/Atoms/RemoveInsideCuboid/testsuite-atoms-remove-inside-cuboid.at
===================================================================
--- tests/regression/Atoms/RemoveInsideCuboid/testsuite-atoms-remove-inside-cuboid.at	(revision 23b0c2555391ed336a0a7589e88eb386466789ce)
+++ tests/regression/Atoms/RemoveInsideCuboid/testsuite-atoms-remove-inside-cuboid.at	(revision caeeb80840441e26c65bc21cf81c49717188c5b4)
@@ -9,5 +9,5 @@
 AT_CHECK([../../molecuilder -i $file --select-atoms-inside-cuboid "2,2,2" --position "9.78,2.64,2.64" --angle-x 0. --angle-y 0. --angle-z 0. -r], 0, [stdout], [stderr])
 AT_CHECK([sort -n $file | grep -v -E "^[[[:digit:]]]+" | grep -v "Created by" >test-withoutcuboid.xyz-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test-withoutcuboid.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideCuboid/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test-withoutcuboid.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideCuboid/post/test-withoutcuboid.xyz-sorted], 0, [ignore], [ignore])
 
 file=test-cuboid.xyz
@@ -16,7 +16,7 @@
 AT_CHECK([../../molecuilder -i $file --select-all-atoms --unselect-atoms-inside-cuboid "2,2,2" --position "9.78,2.64,2.64" --angle-x 0. --angle-y 0. --angle-z 0. -r], 0, [stdout], [stderr])
 AT_CHECK([sort -n $file | grep -v -E "^[[[:digit:]]]+" | grep -v "Created by" >test-cuboid.xyz-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test-cuboid.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideCuboid/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test-cuboid.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideCuboid/post/test-cuboid.xyz-sorted], 0, [ignore], [ignore])
 AT_CHECK([cat test-cuboid.xyz-sorted test-withoutcuboid.xyz-sorted | sort -n >test.xyz-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideCuboid/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideCuboid/post/test.xyz-sorted], 0, [ignore], [ignore])
 
 file=test.xyz
@@ -31,5 +31,5 @@
 AT_CHECK([../../molecuilder -i $file --select-atoms-inside-cuboid "2,2,2" --position "9.78,2.64,2.64" --angle-x 0. --angle-y 0. --angle-z 0. -r --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([sort -n $file | grep -v -E "^[[[:digit:]]]+" | grep -v "Created by" >test-withoutcuboid.xyz-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test-withoutcuboid.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideCuboid/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test-withoutcuboid.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideCuboid/post/test-withoutcuboid.xyz-sorted], 0, [ignore], [ignore])
 
 file=test.xyz
@@ -44,7 +44,7 @@
 AT_CHECK([../../molecuilder -i $file --select-all-atoms --unselect-atoms-inside-cuboid "2,2,2" --position "9.78,2.64,2.64" --angle-x 0. --angle-y 0. --angle-z 0. -r --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([sort -n $file | grep -v -E "^[[[:digit:]]]+" | grep -v "Created by" >test-cuboid.xyz-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test-cuboid.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideCuboid/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test-cuboid.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideCuboid/post/test-cuboid.xyz-sorted], 0, [ignore], [ignore])
 AT_CHECK([cat test-cuboid.xyz-sorted test-withoutcuboid.xyz-sorted | sort -n >test.xyz-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideCuboid/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideCuboid/post/test.xyz-sorted], 0, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/regression/Atoms/RemoveInsideSphere/testsuite-atoms-remove-inside-sphere.at
===================================================================
--- tests/regression/Atoms/RemoveInsideSphere/testsuite-atoms-remove-inside-sphere.at	(revision 23b0c2555391ed336a0a7589e88eb386466789ce)
+++ tests/regression/Atoms/RemoveInsideSphere/testsuite-atoms-remove-inside-sphere.at	(revision caeeb80840441e26c65bc21cf81c49717188c5b4)
@@ -9,5 +9,5 @@
 AT_CHECK([../../molecuilder -i $file --select-atoms-inside-sphere 7. --position "7.283585982, 3.275186040, 3.535886037" --angle-x 0. --angle-y 0. --angle-z 0. -r], 0, [stdout], [stderr])
 AT_CHECK([sort -n $file | grep -v -E "^[[[:digit:]]]+" | grep -v "Created by" >test-withoutsphere.xyz-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test-withoutsphere.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideSphere/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test-withoutsphere.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideSphere/post/test-withoutsphere.xyz-sorted], 0, [ignore], [ignore])
 
 file=test-sphere.xyz
@@ -16,7 +16,7 @@
 AT_CHECK([../../molecuilder -i $file --select-all-atoms --unselect-atoms-inside-sphere 7. --position "7.283585982, 3.275186040, 3.535886037" --angle-x 0. --angle-y 0. --angle-z 0. -r], 0, [stdout], [stderr])
 AT_CHECK([sort -n $file | grep -v -E "^[[[:digit:]]]+" | grep -v "Created by" >test-sphere.xyz-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test-sphere.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideSphere/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test-sphere.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideSphere/post/test-sphere.xyz-sorted], 0, [ignore], [ignore])
 AT_CHECK([cat test-sphere.xyz-sorted test-withoutsphere.xyz-sorted | sort -n >test.xyz-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideSphere/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideSphere/post/test.xyz-sorted], 0, [ignore], [ignore])
 
 file=test.xyz
@@ -31,5 +31,5 @@
 AT_CHECK([../../molecuilder -i $file --select-atoms-inside-sphere 7. --position "7.283585982, 3.275186040, 3.535886037" --angle-x 0. --angle-y 0. --angle-z 0. -r --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([sort -n $file | grep -v -E "^[[[:digit:]]]+" | grep -v "Created by" >test-withoutsphere.xyz-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test-withoutsphere.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideSphere/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test-withoutsphere.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideSphere/post/test-withoutsphere.xyz-sorted], 0, [ignore], [ignore])
 
 file=test.xyz
@@ -44,7 +44,7 @@
 AT_CHECK([../../molecuilder -i $file --select-all-atoms --unselect-atoms-inside-sphere 7. --position "7.283585982, 3.275186040, 3.535886037" --angle-x 0. --angle-y 0. --angle-z 0. -r --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([sort -n $file | grep -v -E "^[[[:digit:]]]+" | grep -v "Created by" >test-sphere.xyz-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test-sphere.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideSphere/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test-sphere.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideSphere/post/test-sphere.xyz-sorted], 0, [ignore], [ignore])
 AT_CHECK([cat test-sphere.xyz-sorted test-withoutsphere.xyz-sorted | sort -n >test.xyz-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideSphere/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz-sorted; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/RemoveInsideSphere/post/test.xyz-sorted], 0, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/regression/Atoms/SaveSelectedAtoms/testsuite-atoms-save-selected-atoms.at
===================================================================
--- tests/regression/Atoms/SaveSelectedAtoms/testsuite-atoms-save-selected-atoms.at	(revision 23b0c2555391ed336a0a7589e88eb386466789ce)
+++ tests/regression/Atoms/SaveSelectedAtoms/testsuite-atoms-save-selected-atoms.at	(revision caeeb80840441e26c65bc21cf81c49717188c5b4)
@@ -6,5 +6,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/SaveSelectedAtoms/pre/test.xyz .], 0)
 AT_CHECK([../../molecuilder -i test.xyz --select-atom-by-id 0 --save-selected-atoms testsave.xyz], 0, [stdout], [stderr])
-AT_CHECK([file=testsave.xyz; diff -I '.*Created by.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/SaveSelectedAtoms/post/$file], 0, [ignore], [ignore])
+AT_CHECK([file=testsave.xyz; diff -I '.*Created by.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Atoms/SaveSelectedAtoms/post/testsave.xyz], 0, [ignore], [ignore])
 
 AT_CLEANUP
